Bug 54442 - Fontwork flattened last letter
Summary: Fontwork flattened last letter
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: FontWork-WordArt
  Show dependency treegraph
 
Reported: 2012-09-03 14:26 UTC by Michael Kůr
Modified: 2021-05-08 03:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug in e (29.89 KB, image/png)
2012-09-16 19:37 UTC, Michael Kůr
Details
fontwork examples (11.49 KB, application/vnd.oasis.opendocument.text)
2013-08-19 16:11 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kůr 2012-09-03 14:26:15 UTC
Problem description: Fontwork bad rendering

Steps to reproduce:
1. Enter 13 characters or more to one line.
2. To second line enter arbitrary letters.
3. Chose font Arial or some another. 
4. Chose arbitrary font size.
5. Press Esc.

Current behavior: The last letter is cut. Does not help either reduce the size of fontwork. Here is image:

Expected behavior: Dysplays the last letter without problems.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.0) AppleWebKit/537.1 (KHTML, like Gecko) Chrome/21.0.1180.89 Safari/537.1
Comment 1 Jean-Baptiste Faure 2012-09-16 19:21:12 UTC
@reporter: Image is missing, please, attach it to this bug report.
Comment 2 Michael Kůr 2012-09-16 19:37:35 UTC
Created attachment 67255 [details]
Bug in e
Comment 3 QA Administrators 2013-05-29 14:00:13 UTC Comment hidden (obsolete)
Comment 4 Michael Kůr 2013-05-29 16:29:38 UTC Comment hidden (obsolete)
Comment 5 Joel Madero 2013-05-29 16:51:36 UTC Comment hidden (obsolete)
Comment 6 ign_christian 2013-05-30 03:50:46 UTC
not reproducible on LO 4.0.3.3 (Win7 32bit)
Comment 7 tommy27 2013-08-19 07:29:08 UTC Comment hidden (obsolete)
Comment 8 Michael Kůr 2013-08-19 11:05:50 UTC
The bug is still reproducable in LO v 4.0.4. (WinVista 32bit).
Comment 9 tommy27 2013-08-19 16:11:53 UTC
Created attachment 84271 [details]
fontwork examples

@Michael Kůr
now I see the bug in 4.0.4. setting status to NEW.
apparently it happens just with some words like the one of your .png screenshot.
other words, despite being 13 characthers as well, do not show that behaviour.
see my attached .odt file.
Comment 10 tommy27 2013-08-19 16:40:27 UTC
reproducible in LibO 3.3.3 as well.
changed summary notes: IMHO the right margin of last letter is "flattened" rather than "cut".
Comment 11 QA Administrators 2015-04-01 14:41:45 UTC Comment hidden (obsolete)
Comment 12 Michael Kůr 2015-04-01 15:52:40 UTC Comment hidden (obsolete)
Comment 13 tommy27 2015-04-01 16:49:02 UTC Comment hidden (obsolete)
Comment 14 tommy27 2016-04-16 07:24:33 UTC Comment hidden (obsolete)
Comment 15 Jean-Baptiste Faure 2016-04-30 21:28:32 UTC Comment hidden (obsolete)
Comment 16 QA Administrators 2018-05-06 02:30:24 UTC Comment hidden (obsolete)
Comment 17 Jean-Baptiste Faure 2018-05-07 15:12:30 UTC
Still reproducible with LO 6.0.5.0.0+ built at home under Ubuntu 16.04 x86-64.

The problem can be seen on the first word in the Tommy's example if you replace the T by a R, a B or a P. I did not check other letters.

Best regards. JBF
Comment 18 QA Administrators 2019-05-08 02:44:27 UTC Comment hidden (obsolete)
Comment 19 Timur 2019-05-08 06:43:27 UTC
Seems no changes in 6.3+
Comment 20 QA Administrators 2019-05-08 16:59:26 UTC Comment hidden (obsolete)
Comment 21 QA Administrators 2021-05-08 03:55:42 UTC
Dear Michael Kůr,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug